Package org.apache.wiki.preferences

# Enum Preferences.TimeFormat

java.lang.Object
java.lang.Enum<Preferences.TimeFormat>
org.apache.wiki.preferences.Preferences.TimeFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<Preferences.TimeFormat>`

Enclosing class:
  Preferences

public static enum Preferences.TimeFormat extends Enum<Preferences.TimeFormat>
Is used to choose between the different date formats that JSPWiki supports.

- TIME: A time format, without date
- DATE: A date format, without a time
- DATETIME: A date format, with a time

Since:
  2.8

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATE`
A date format, no time.
`DATETIME`
A date+time format.
`TIME`
A time format, no date.

## Method Summary

Modifier and Type
Method
Description
`static Preferences.TimeFormat`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Preferences.TimeFormat[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TIME

public static final Preferences.TimeFormat TIME
A time format, no date.

### DATE

public static final Preferences.TimeFormat DATE
A date format, no time.

### DATETIME

public static final Preferences.TimeFormat DATETIME
A date+time format.

## Method Details

### values

public static Preferences.TimeFormat[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Preferences.TimeFormat valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null